glibmm: Glib::Variant< bool > Class Template Reference

glibmm 2.28.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
Glib::Variant< bool > Class Template Reference
Variant Data Types

Specialization of Glib::Variant containing a bool type. More...

`#include <glibmm/variant_basictypes.h>`

Inheritance diagram for Glib::Variant< bool >:
[legend]

List of all members.

## Public Types
typedef gboolean | CType
## Public Member Functions
| Variant ()
| Default constructor.
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor.
bool | get () const
| Gets the value of the Glib::Variant<bool>.
## Static Public Member Functions
static const VariantType& | variant_type ()
| Gets the Glib::VariantType.
static Variant< bool > | create (bool data)
| Creates a new Glib::Variant<bool>.

## Detailed Description

### template<>
class Glib::Variant< bool >

Specialization of Glib::Variant containing a bool type.

Since glibmm 2.26:

## Member Typedef Documentation

typedef gboolean Glib::Variant< bool >::CType

## Constructor & Destructor Documentation

Glib::Variant< bool >::Variant | ( |  | ) | `[inline]`

Default constructor.

Glib::Variant< bool >::Variant | ( | GVariant< bool > * | castitem,
|  | bool | take_a_reference = `false`
| ) |  | `[inline, explicit]`

GVariant constructor.

Parameters:

  castitem | The GVariant to wrap.

## Member Function Documentation

static Variant<bool> Glib::Variant< bool >::create | ( | bool | data | ) | `[static]`

Creates a new Glib::Variant<bool>.

Parameters:

  data | The value of the new Glib::Variant<bool>.

Returns:
  The new Glib::Variant<bool>.

bool Glib::Variant< bool >::get | ( |  | ) | const

Gets the value of the Glib::Variant<bool>.

Returns:
  The bool value of the Glib::Variant<bool>.

static const VariantType& Glib::Variant< bool >::variant_type | ( |  | ) | `[static]`

Gets the Glib::VariantType.

Returns:
  The Glib::VariantType.